apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "5"
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{},"labels":{"app":"webrtc-be","app.kubernetes.io/instance":"webrtc-be"},"name":"webrtc-be","namespace":"webrtc-be"},"spec":{"replicas":1,"selector":{"matchLabels":{"app":"webrtc-be"}},"template":{"metadata":{"labels":{"app":"webrtc-be"}},"spec":{"containers":[{"env":[{"name":"RTC_MIN_PORT","value":"30000"},{"name":"RTC_MAX_PORT","value":"32768"},{"name":"BACKEND_URL","value":"https://www.jamkazam.com"},{"name":"RESTRICT_AUTH","value":"true"}],"image":"gcr.io/tough-craft-276813/webrtc_be:latest","imagePullPolicy":"Always","name":"webrtc-be","ports":[{"containerPort":5001,"name":"websocket-port"}],"resources":{"limits":{"memory":"3800Mi"},"requests":{"cpu":"1200m","memory":"3800Mi"}}}],"hostNetwork":true,"imagePullSecrets":[{"name":"gcr-json-key"}]}}}}
  creationTimestamp: "2021-11-18T18:07:44Z"
  generation: 897
  labels:
    app: webrtc-be
    app.kubernetes.io/instance: webrtc-be
  name: webrtc-be
  namespace: webrtc-be
  resourceVersion: "272003497"
  uid: f82d6e1d-99c5-4b22-a0cf-b8d02bbe3279
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: webrtc-be
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        kubectl.kubernetes.io/restartedAt: "2024-11-18T01:58:53Z"
      creationTimestamp: null
      labels:
        app: webrtc-be
    spec:
      containers:
      - env:
        - name: RTC_MIN_PORT
          value: "30000"
        - name: RTC_MAX_PORT
          value: "32768"
        - name: BACKEND_URL
          value: https://www.jamkazam.com
        - name: RESTRICT_AUTH
          value: "true"
        image: gcr.io/tough-craft-276813/webrtc_be:latest
        imagePullPolicy: Always
        name: webrtc-be
        ports:
        - containerPort: 5001
          hostPort: 5001
          name: websocket-port
          protocol: TCP
        resources:
          limits:
            memory: 3800Mi
          requests:
            cpu: 1200m
            memory: 3800Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      hostNetwork: true
      imagePullSecrets:
      - name: gcr-json-key
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2021-11-18T18:07:44Z"
    lastUpdateTime: "2024-11-18T01:58:56Z"
    message: ReplicaSet "webrtc-be-6b649d8cd4" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2024-11-24T15:06:22Z"
    lastUpdateTime: "2024-11-24T15:06:22Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 897
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
